<?php

# Required File Includes
include("../../../init.php");
include("../../../includes/functions.php");
include("../../../includes/gatewayfunctions.php");
include("../../../includes/invoicefunctions.php");

$gatewaymodule = "eapay"; # Enter your gateway module name here replacing template
$GATEWAY = getGatewayVariables($gatewaymodule);
if (!$GATEWAY["type"]) die("Module Not Activated"); # Checks gateway module is active before accepting callback


$appId = $GATEWAY['appID'];//会员ID
$appKey = $GATEWAY['appKey'];//支付密匙

$postSign = $_POST['sign'];
$param = array(
    "out_trade_no" => $_POST['out_trade_no'], //商户订单编号；
    "pay_method"   => $_POST['pay_method'],    //支付模式；
    "total_fee"    => $_POST['total_fee'],    //交易金额；
    "trade_no"     => $_POST['trade_no'],     //交易号；
);
$sign = makeSign($param, $appKey);
if ($sign != $postSign) {
    logTransaction($GATEWAY["name"],$_GET,"Unsuccessful");
    die('fail');
}
$invoiceid = checkCbInvoiceID($param['out_trade_no'], $GATEWAY["name"]); # Checks invoice ID is a valid invoice number or ends processing
//checkCbTransID($transid); # Checks transaction number isn't already in the database and ends processing if it does
$where = array("transid" => $param['trade_no']);
$result = select_query("tblaccounts", "transid", $where);
$data = mysql_fetch_array($result);
if (!$data) {
    addInvoicePayment($invoiceid, $param['trade_no'], $param['total_fee'], 0, $gatewaymodule);
    logTransaction($GATEWAY["name"], $_GET, "Successful-A");
}
echo "success";


?>